## eole-sacoche 2018-02-16+1-1

=== Makefile ===
################################
# Makefile pour sacoche
################################

SOURCE=sacoche
VERSION=2017-09-19
EOLE_VERSION=2.3
PKGAPPS=oui

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-sacoche (2018-02-16+1-1) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [cef0da7] source upstream 2018-02-16
  * [f708099] Merge branch 'upstream' into patch
  * [ba8e3d9] application patch envole
  * [95e2f08] Merge branch 'patch' into e4/master
  * [a50e207] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [139178a] Arnaud Fornerot: Update package since “debian/envole/4/2017-09-19+1-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 28 Feb 2018 09:41:52 +0100

eole-sacoche (2017-09-19+1-1) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [ffcc804] ajout version upstream 2017-09-19
  * [264c291] Merge branch 'upstream' into patch
  * [eddb272] application des patch
  * [e1214d6] Merge branch 'patch' into e4/master
  * [b73a573] passage en version 2017-09-19
  * [4a9e087] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [8e0b9c9] Arnaud Fornerot: Update package since “debian/envole/4/2017-05-15+1-4”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 27 Sep 2017 11:44:13 +0200

eole-sacoche (2017-05-15+1-4) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [2015a25] pb de double init de phpcas client
  * [6fc7e85] Merge branch 'patch' into e4/master
  * [ea210fa] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [be83653] Arnaud Fornerot: Update package since “debian/envole/4/2017-05-15+1-3”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 18 May 2017 13:25:52 +0200

eole-sacoche (2017-05-15+1-3) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [57c9284] pb déconnexion général + autocreate
  * [f385418] Merge branch 'patch' into e4/master
  * [b1e404a] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [bc9efe4] Arnaud Fornerot: Update package since “debian/envole/4/2017-05-15+1-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 18 May 2017 11:24:18 +0200

eole-sacoche (2017-05-15+1-2) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [82fc78e] modification version source dans makefile
  * [aa7e1ee] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [37786bd] Arnaud Fornerot: Update package since “debian/envole/4/2017-05-15+1-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 17 May 2017 14:39:37 +0200

eole-sacoche (2017-05-15+1-1) envole-4-unstable; urgency=low

  [ Murphy NZALI ]
  * [cff9327] Montée de version de sacoche en sacoche-2017-04-04
  * [6690fd3] Merge branch 'upstream' into patch
  * [f9b5e7c] Modifications des sources pour la montée de version
  * [a72480d] La déconnexion dans l'application SACoche ne se fait pas lors de la déconnexion du portail Envole (refs #13559)
  * [d2a809c] Montée de version de sacoche en sacoche-2017-05-15b
  * [0e4ec01] Merge branch 'upstream' into patch
  * [462c974] Modifications des sources pour la montée de version
  * [8d626a6] La déconnexion dans l'application SACoche ne se fait pas lors de la déconnexion du portail Envole (refs #13559)
  * [600dce7] Les modifications à faire pour éviter le problème de déconnexion depuis une autre application

  [ Arnaud Fornerot ]
  * [7493ac2] correctif CAS pour prise en compte proxy
  * [ae86a81] application patch
  * [a356107] reglement conflit
  * [8350869] mise en place de la configuration proxy
  * [cd012f7] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [7c39198] Arnaud Fornerot: Update package since “debian/envole/4/2017-01-16+1-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 17 May 2017 14:27:21 +0200

eole-sacoche (2017-01-16+1-1) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [822a8ac] erreur sur recopie du patch
  * [ec89e5c] Merge branch 'patch'
  * [f904210] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [33c79f5] Arnaud Fornerot: Update package since “debian/envole/4/2016-10-04+1-4”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 17 Jan 2017 16:18:02 +0100

eole-sacoche (2016-10-04+1-4) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [1beced0] pb postservice amonecole
  * [8171b2f] ajout des sources upstream 2017-01-16
  * [3f3d597] Merge branch 'upstream' into patch
  * [a62a388] application du patch
  * [cbb9f42] Merge branch 'patch'
  * [bf0c4de] makefile sur la nouvelle version de sacoche
  * [5b97757] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [724f273] Arnaud Fornerot: Update package since “debian/envole/4/2016-10-04+1-3”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 17 Jan 2017 15:42:15 +0100

eole-sacoche (2016-10-04+1-3) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [c2ca983] postservice pour la 2.3
  * [8b158ba] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [dec4fd6] Arnaud Fornerot: Update package since “debian/envole/4/2016-10-04+1-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Tue, 25 Oct 2016 11:56:31 +0200

eole-sacoche (2016-10-04+1-2) envole-4-unstable; urgency=low

  [ Igor GODI ]
  * [a520f17] Correction des droits du fichier constances.php
  * [dc9adcd] Merge branch 'master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [7fce520] Igor GODI: Update package since “debian/envole/4/2016-10-04+1-1”

 -- Igor GODI <igor.godi@ac-reims.fr>  Tue, 11 Oct 2016 09:18:38 +0200

eole-sacoche (2016-10-04+1-1) envole-4-unstable; urgency=low

  [ Igor GODI ]
  * [66298a0] Correction encodage posant problème pour le git diff
  * [0f7adf6] Ajout des sources de scaoche 2016-10-04
  * [d261fd4] Merge branch 'upstream' into patch
  * [1611df5] Ajout du repertoire vide oublié car non commité par git
  * [cacc495] Merge branch 'upstream' into patch
  * [80e94ec] Version 2016-10-04 patchée pour ENVOLE à tester sur scribe de dev
  * [0d1ba34] Correction de la méthode de l'auto-create user Envole
  * [365d3bd] Merge branch 'patch'
  * [02c699e] Fichiers inutiles dans master


=== debian/control ===
Source: eole-sacoche
Section: web
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.8.4 
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/sacoche
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/sacoche/repository

Package: sacoche-sso
Architecture: all
Depends: ${misc:Depends}, eole-sso
Description: Filtre SSO pour sacoche "EOLE".

Package: eole-sacoche
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, eole-web, sacoche-sso
Description: Eolisation de l'application sacoche.

Package: sacoche-apps
Section: metapackages
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, web-pkg
Description: Sources pour sacoche "EOLE".

## eole-sacoche 2018-08-14+1-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ################################
 
 SOURCE=sacoche
-VERSION=2017-09-19
+VERSION=2018-08-14
 EOLE_VERSION=2.3
 PKGAPPS=oui

=== debian/changelog ===
eole-sacoche (2018-08-14+1-1) envole-4-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [acf18cb] desactivation de l'autocreate
  * [f057b13] ajout sourche upstream 2018-08-14
  * [97b1587] Merge branch 'upstream' into patch
  * [2b64bfa] patch sacoche
  * [c838f0f] Merge branch 'patch' into e4/master
  * [d4c9687] template pour la v2018-08-14
  * [5fb3748] template pour la v2018-08-14
  * [ab92b80] Merge branch 'e4/master' into dist/envole/4/master

  [ EOLE Build Daemon ]
  * [18f73ef] Arnaud Fornerot: Update package since “debian/envole/4/2018-02-16+1-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 20 Aug 2018 09:23:58 +0200

## eole-sacoche 2023-03-15+2-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,11 @@
 ################################
 
 SOURCE=sacoche
-VERSION=2018-08-14
-EOLE_VERSION=2.3
+VERSION=2022-10-11
+EOLE_VERSION=2.5
+EOLE_RELEASE=2.5.1
 PKGAPPS=oui
+
 
 ################################
 # Début de zone à ne pas éditer

=== debian/changelog ===
eole-sacoche (2023-03-15+2-1) envole-5-unstable; urgency=low

  [ Benjamin Bohard ]
  * [43c8b85] Passage à la version 2023-03-15
  * [ed0c257] Merge branch 'upstream' into patch
  * [20be2ee] Patch de la version 2023-03-15
  * [f55f25d] Merge branch 'patch'
  * [ce6ec0b] Merge branch 'master' into dist/envole/5/master
  * [58faf4d] Nettoyer les sources issues d’un dépôt git.
  * [bfcbb63] Merge branch 'upstream' into patch
  * [4647ed3] Merge branch 'patch'
  * [66aa556] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [3572924] Benjamin Bohard: Update package since “debian/envole/4/2022-10-11+2-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 22 Mar 2023 15:12:13 +0100

eole-sacoche (2022-10-11+2-1) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [fd412eb] ajout version upstream 2022-10-11
  * [30e3226] Merge branch 'upstream' into patch
  * [a326df7] patch envole
  * [04cbedd] Merge branch 'patch'
  * [9f196d2] passage à la version 2022-10-11
  * [d00ee62] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [c015bfc] Arnaud Fornerot: Update package since “debian/envole/4/2022-01-12+2-5”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 12 Oct 2022 15:44:36 +0200

eole-sacoche (2022-01-12+2-5) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [5806229] probleme en 2.8 sur la creation de la procedure sql par le user root
  * [3b329d2] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [7ec0861] Arnaud Fornerot: Update package since “debian/envole/4/2022-01-12+2-4”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 01 Apr 2022 16:14:04 +0200

eole-sacoche (2022-01-12+2-4) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [a956cac] prise en compte du casfolder
  * [a047669] Merge branch 'patch'
  * [0093876] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [281d7e6] Arnaud Fornerot: Update package since “debian/envole/4/2022-01-12+2-3”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 03 Mar 2022 09:37:38 +0100

eole-sacoche (2022-01-12+2-3) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [f476034] ajout de la constante obligatoire WEBMESTRE_PASSWORD
  * [5c65683] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [2fbbe81] Arnaud Fornerot: Update package since “debian/envole/4/2022-01-12+2-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 24 Jan 2022 13:48:11 +0100

eole-sacoche (2022-01-12+2-2) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [3f13d43] patch de la version 2002-01-12
  * [564a55a] Merge branch 'patch'
  * [e0a1a0c] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [88db84f] Arnaud Fornerot: Update package since “debian/envole/4/2022-01-12+2-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 20 Jan 2022 16:39:00 +0100

eole-sacoche (2022-01-12+2-1) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [77565a2] ajout des source upstream 2002-01-12
  * [25e2a52] Merge branch 'upstream' into patch
  * [3c80b78] suppression des sources obsolètes
  * [540b3d0] suppression des sources obsolètes
  * [9d10a50] Merge branch 'patch'
  * [bb37c48] Merge branch 'master' into dist/envole/5/master
  * [8241204] patch de la version 2002-01-12
  * [6c1a00a] Merge branch 'patch'
  * [169eaf6] Merge branch 'master' into dist/envole/5/master
  * [75a3d21] Makefile sur 2002-01-12
  * [d751183] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [eb6af3e] Arnaud Fornerot: Update package since “debian/envole/4/2021-07-03+2-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 20 Jan 2022 15:44:12 +0100

eole-sacoche (2021-07-03+2-2) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [e8cf695] rapatrier les variables eoledb dans la famille eoledb (ref #33188)
  * [e1b5570] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [8c1be2f] Arnaud Fornerot: Update package since “debian/envole/4/2021-07-03+2-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 07 Oct 2021 15:48:51 +0200

eole-sacoche (2021-07-03+2-1) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [159422e] ajout des sources upstream 2021-07-03
  * [18ffd9a] Merge branch 'upstream' into patch
  * [68d94d9] patch de la version 2021-07-03
  * [dbffa37] Merge branch 'patch'
  * [80dbf50] make sur la version 2021-07-03
  * [dbabdcf] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [439861b] Arnaud Fornerot: Update package since “debian/envole/4/2021-01-16+2-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Mon, 12 Jul 2021 09:24:05 +0200

eole-sacoche (2021-01-16+2-1) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [2d6c720] commit pour compilation
  * [f9ab424] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [8af43e4] Arnaud Fornerot: Update package since “debian/envole/4/2020-08-19+2-3”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Thu, 28 Jan 2021 09:57:25 +0100

eole-sacoche (2020-08-19+2-3) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [469a8b2] version upstream 2021-01-16
  * [d17185a] Merge branch 'upstream' into patch
  * [a97ca88] patch envole
  * [ebeb371] Merge branch 'patch'
  * [efdfb67] make sur version 2021-01-16
  * [5a6200d] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [e051e35] Arnaud Fornerot: Update package since “debian/envole/4/2020-08-19+2-2”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Wed, 27 Jan 2021 14:33:01 +0100

eole-sacoche (2020-08-19+2-2) envole-5-unstable; urgency=low

  [ Arnaud Fornerot ]
  * [922b123] refonte sonde
  * [4fc250d] Merge branch 'patch'
  * [4e7c2dd] Merge branch 'master' into dist/envole/5/master

  [ EOLE Build Daemon ]
  * [b14b9fd] Arnaud Fornerot: Update package since “debian/envole/4/2020-08-19+2-1”

 -- Arnaud Fornerot <afornerot@cadoles.com>  Fri, 23 Oct 2020 09:51:33 +0200



=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
 
 Package: eole-sacoche
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, eole-web, sacoche-sso
+Depends: ${shlibs:Depends}, ${misc:Depends},  eole-web (>= 2.5.2), sacoche-sso,  eole-client-annuaire, eole-db, eole-posh-profil, eole-sondepiwik
 Description: Eolisation de l'application sacoche.
 
 Package: sacoche-apps
 Section: metapackages
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, web-pkg
+Depends: ${shlibs:Depends}, ${misc:Depends}, eole-web-pkg (>= 2.5.2), eole-client-annuaire-pkg, posh-profil-apps, sondepiwik-apps
 Description: Sources pour sacoche "EOLE".
